#!/bin/bash

ht_base_url="https://catalog.hathitrust.org/api/volumes/full/htid"


for mf in `find import/ -name "*.mets.xml"` ; do 
  d=${mf%/*} 
  f=${mf##*/} 

  echo "Processing: $mf"
  id=`fgrep 'PREMIS:objectIdentifierValue' "$mf" | sed 's/\s*<[^>]*>\s*//g'`
  echo " id='$id'"

  jf=${mf%.mets.xml}.json
  if [ ! -e "$jf" ] ; then
    full_url="$ht_base_url/${id}.json"
    echo "Downloading: $full_url"
    echo "  to $jf"
#    wget -O "$jf" "$full_url"
    curl "$full_url" > "$jf" 
  fi

done
